import enum

class RequestHandshake(enum.Enum):
    HSHK_OK = 0

    HSHK_ERR_RH_HTTP_ACCEPT = 1101
    HSHK_ERR_RH_CONTENT_TYPE = 1102

    # GROUP ID 12
    HSHK_ERR_UA_MODEL = 1201
    HSHK_ERR_UA_PID = 1202
    HSHK_ERR_UA_AUTH = 1203
    HSHK_ERR_UA_API_NO_ACCESS = 1204
    HSHK_ERR_UA_API_NO_PPASS = 1205

    HSHK_ERR_DATA = 1401
    HSHK_ERR_BAD_REQUEST = 1402
    HSHK_ERR_INTERNAL = 1403
    HSHK_ERR_UNKNOWN = 1404
    HSHK_ERR_ACCESS_DENIED = 1405
    HSHK_ERR_API_RETIRED = 1406
    HSHK_ERR_SERVICE = 1407
    HSHK_ERR_ACCT_INACTIVE = 1408
    HSHK_ERR_ACCT_SUSPENDED = 1409
    HSHK_ERR_IDEMPOTENCY_KEY = 1410
    HSHK_ERR_API_VERSION = 1411

    # GROUP ID 15
    HSHK_ERR_MR_BATCH_ID = 1501
    HSHK_ERR_MR_DESTINATIONS = 1502
    HSHK_ERR_MR_PARAMETER = 1503
    HSHK_ERR_MR_QUERY_TIME = 1504
    HSHK_ERR_MR_VOICE_FILE = 1505
    HSHK_ERR_MR_VOICE_SIZE = 1506
    HSHK_ERR_MR_STATUS_FILTER = 1507

    # GROUP ID 18 (for scheduled messages requests)
    HSHK_ERR_SM_PROCESSED = 1801
    HSHK_ERR_SM_CANCELLED = 1802
    HSHK_ERR_SM_NOT_SCHEDULED = 1803
    HSHK_ERR_SM_REFERENCE_ID = 1804
    HSHK_ERR_SM_MESSAGE_ID = 1805
    HSHK_ERR_SM_CATEGORY = 1806
    HSHK_ERR_SM_DATETIME = 1807
    HSHK_ERR_SM_UTC_OFFSET = 1808